#ifndef _BIWAK_BME680_H_
#define _BIWAK_BME680_H_

#include <biwak/gpio.hpp>
#include <biwak/i2c_slave.h>
#include <biwak/input.hpp>


// With both address pins low the address is 0x48 (without R/W)

class CBme680: public CI2cSlave
{
private:
   //CI2c     &m_i2c;

public:
	CBme680(CI2c &i2c, int address = 0x76 );
   int getTemperature(int &sta);
   int getGasResistance();
   int getHumidity();
   int getPressure();
};


#endif // _BIWAK_BME680_H_
